commit: 67580a5160a986950192117a7757041d0fcf9b98
Author: Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 4 00:48:52 2014 +0000
Commit: Brian Evans <grknight <AT> lavabit <DOT> com>
CommitDate: Wed Jun 4 00:50:17 2014 +0000
URL:
http://git.overlays.gentoo.org/gitweb/?p=proj/mysql.git;a=commit;h=67580a51
Remove app-text/sphinx as a build DEPEND and sync mysql-multilib
---
eclass/mysql-multilib.eclass | 22 ++++++++++++++++------
eclass/mysql-v2.eclass | 1 -
2 files changed, 16 insertions(+), 7 deletions(-)
diff --git a/eclass/mysql-multilib.eclass b/eclass/mysql-multilib.eclass
index 1f664cb..feb9ba5 100644
--- a/eclass/mysql-multilib.eclass
+++ b/eclass/mysql-multilib.eclass
@@ -111,6 +111,7 @@ if [[ -z ${SERVER_URI} ]]; then
MARIA_FULL_P="${PN}-${MARIA_FULL_PV}"
SERVER_URI="
http://ftp.osuosl.org/pub/mariadb/${MARIA_FULL_P}/kvm-tarbake-jaunty-x86/${MARIA_FULL_P}.tar.gz
+
http://ftp.osuosl.org/pub/mariadb/${MARIA_FULL_P}/source/${MARIA_FULL_P}.tar.gz
http://mirror.jmu.edu/pub/mariadb/${MARIA_FULL_P}/kvm-tarbake-jaunty-x86/${MARIA_FULL_P}.tar.gz
http://mirrors.coreix.net/mariadb/${MARIA_FULL_P}/kvm-tarbake-jaunty-x86/${MARIA_FULL_P}.tar.gz
http://mirrors.syringanetworks.net/mariadb/${MARIA_FULL_P}/kvm-tarbake-jaunty-x86/${MARIA_FULL_P}.tar.gz
@@ -226,7 +227,6 @@ if [[ ${PN} == "mariadb" || ${PN} == "mariadb-galera" ]] ;
then
# Bug 441700 MariaDB >=5.3 include custom mytop
DEPEND="${DEPEND}
oqgraph? ( >=dev-libs/boost-1.40.0:0= )
- sphinx? ( app-misc/sphinx:0= )
!minimal? ( pam? ( virtual/pam:0= ) )
perl? ( !dev-db/mytop )"
if mysql_version_is_at_least "10.0.5" ; then
@@ -576,6 +576,16 @@ mysql-multilib_pkg_postinst() {
elog "If you are upgrading major versions, you should run the"
elog "mysql_upgrade tool."
einfo
+
+ if [[ ${PN} == "mariadb-galera" ]] ; then
+ einfo
+ elog "Be sure to edit the my.cnf file to activate your
cluster settings."
+ elog "This should be done after running \"emerge
--config =${CATEGORY}/${PF}\""
+ elog "The first time the cluster is activated, you
should add"
+ elog "--wsrep-new-cluster to the options in
/etc/conf.d/mysql for one node."
+ elog "This option should then be removed for subsequent
starts."
+ einfo
+ fi
fi
}
@@ -641,7 +651,7 @@ mysql-multilib_pkg_config() {
ewarn "Attempting to use ${MY_DATADIR_s}"
else
eerror "New MY_DATADIR (${MY_DATADIR_s}) does
not exist"
- die "Configuration Failed! Please reinstall
${CATEGORY}/${PN}"
+ die "Configuration Failed! Please reinstall
${CATEGORY}/${PN}"
fi
fi
fi
@@ -726,7 +736,7 @@ mysql-multilib_pkg_config() {
use prefix || options="${options} --user=mysql"
- # Fix bug 446200. Don't reference host my.cnf
+ # Fix bug 446200. Don't reference host my.cnf
use prefix && [[ -f "${MY_SYSCONFDIR}/my.cnf" ]] \
&& options="${options}
'--defaults-file=${MY_SYSCONFDIR}/my.cnf'"
@@ -741,9 +751,9 @@ mysql-multilib_pkg_config() {
# Now that /var/run is a tmpfs mount point, we need to ensure it exists
before using it
PID_DIR="${EROOT}/var/run/mysqld"
if [[ ! -d "${PID_DIR}" ]]; then
- mkdir -p "${PID_DIR}"
- chown mysql:mysql "${PID_DIR}"
- chmod 755 "${PID_DIR}"
+ mkdir -p "${PID_DIR}" || die "Could not create pid directory"
+ chown mysql:mysql "${PID_DIR}" || die "Could not set ownership
on pid directory"
+ chmod 755 "${PID_DIR}" || die "Could not set permissions on pid
directory"
fi
pushd "${TMPDIR}" &>/dev/null
diff --git a/eclass/mysql-v2.eclass b/eclass/mysql-v2.eclass
index a1558de..f0c919a 100644
--- a/eclass/mysql-v2.eclass
+++ b/eclass/mysql-v2.eclass
@@ -264,7 +264,6 @@ fi
if [[ ${PN} == "mariadb" || ${PN} == "mariadb-galera" ]] ; then
mysql_check_version_range "5.1.38 to 5.3.99" && DEPEND="${DEPEND}
libevent? ( >=dev-libs/libevent-1.4 )"
mysql_version_is_at_least "5.2" && DEPEND="${DEPEND} oqgraph? (
>=dev-libs/boost-1.40.0 )"
- mysql_version_is_at_least "5.2.5" && DEPEND="${DEPEND} sphinx? (
app-misc/sphinx )"
mysql_version_is_at_least "5.2.10" && DEPEND="${DEPEND} !minimal? (
pam? ( virtual/pam ) )"
# Bug 441700 MariaDB >=5.3 include custom mytop
mysql_version_is_at_least "5.3" && DEPEND="${DEPEND} perl? (
!dev-db/mytop )"